%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _name cyber-settings

%define base_ver %(curl -fsSL https://git.omame.tech/CyberOS/cyber-build-scripts/raw/branch/master/stable/%{_name}/PKGBUILD | grep pkgver | cut -d '=' -f 2 | head -n1)
%define git_refspec %(curl -fsSL -X GET "https://git.omame.tech/api/v1/repos/CyberOS/%{_name}/commits" -H  "accept: application/json" | jq -r '.[0].sha')
%define git_refspec_short %(echo %{git_refspec} | cut -c -7)
%define build_timestamp %(date +%s)

Name: %{_name}
#Version: 1.1.0
Version: %{base_ver}git.%{build_timestamp}.%{git_refspec_short}
Release: 0%{?dist}
BuildRequires: jq
Summary:	Cyber Desktop Settings
License:	GPLv3+
URL:		https://getcyberos.org
BuildRequires:	cmake pkgconfig
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-qtbase-devel qt5-qttools-devel qt5-qttools-devel qt5-qtdeclarative-devel qt5-qtquickcontrols2-devel qt5-linguist
BuildRequires:	kf5-kcoreaddons-devel kf5-networkmanager-qt-devel kf5-modemmanager-qt-devel
BuildRequires:	meuikit-devel
BuildRequires:	libicu-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
Requires: meuikit
Requires:	libcyber-system
#Source0:	https://git.omame.tech/CyberOS/%{name}/archive/%{version}.tar.gz
Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{git_refspec}.tar.gz
%define patch0_refspec 7928433d10df05584501e1da27af60ead674a8e8
Patch0: https://git.omame.tech/cyberdesktop-fedora/cyberdesktop-fedora/raw/commit/%{patch0_refspec}/patches/%{name}/0000-about_use_fedora_logo.patch
%description
The settings for Cyber Desktop

%prep
%setup -qn %{name}
patch -p1 -i %{PATCH0}

%build
%{set_build_flags}
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files 
%license LICENSE
%{_bindir}/cyber-settings
%{_datadir}/applications/cyber-settings.desktop
%{_datadir}/cyber-settings/


%changelog
* Tue Aug 03 2021 korewaChino <crkza1134@gmail.com> - 1.1.0
- Initial version
